# PSF-LoginServer - master - net.psforever.objects.zones.ActivityReport
PSF - LoginServer - master - net.psforever.objects.zones.ActivityReport
Keywords: PSF LoginServer master net.psforever.objects.zones.ActivityReport

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package zones
  Definition Classes
    objects
-  package blockmap
  Definition Classes
    zones
- ActivityReport
- HotSpotInfo
- InteractsWithZone
- MapEnvironment
- MapInfo
- MapScale
- SOI
- SphereOfInfluenceActor
- Zone
- ZoneAware
- ZoneDeployableActor
- ZoneGroundActor
- ZoneHotSpotDisplay
- ZoneHotSpotHistory
- ZoneHotSpotProjector
- ZoneInfo
- ZoneInteraction
- ZoneMap
- ZonePopulationActor
- ZoneVehicleActor
- Zoning

c

net.psforever.objects.zones

# ActivityReport

###

#### class ActivityReport extends AnyRef

Information about interactions in respect to a given denomination in the game world. In terms of hotspots, the "denomination" are the factions. While a given report of activity will only be valid from the time or arrival for a given amount of time, subsequent activity reporting before this duration concludes will cause the lifespan to artificially increase.

Source
  HotSpotInfo.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ActivityReport
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ActivityReport()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Clear(): Unit

   Act as if no activity was ever valid for this report.

   Act as if no activity was ever valid for this report. Set heat to zero to flag no activity and set duration to "0 seconds" to eliminate its lifespan.

5.  def Duration: FiniteDuration

   The length of time that this (ongoing) activity is relevant.

   The length of time that this (ongoing) activity is relevant.

   returns

     the time

6.  def Duration_=(time: Long): FiniteDuration

   Set the length of time that this (ongoing) activity is relevant.

   Set the length of time that this (ongoing) activity is relevant. The duration length can only increase.

   time

     the time, as a `Long` value

   returns

     the time

7.  def Duration_=(time: FiniteDuration): FiniteDuration

   Set the length of time that this (ongoing) activity is relevant.

   Set the length of time that this (ongoing) activity is relevant.

   time

     the time, as a `Duration`

   returns

     the time

8.  def Heat: Int

   The increasing heat does nothing, presently, but acts as a flag for activity.

   The increasing heat does nothing, presently, but acts as a flag for activity.

   returns

     the heat

9.  def LastReport: Long

   As a `Long` value, if there was no previous report, the value will be considered `0L`.

   As a `Long` value, if there was no previous report, the value will be considered `0L`.

   returns

     the time of the last activity report

10.  def Renew: Long

    Reset the time of the last report to the present.

    Reset the time of the last report to the present.

    returns

      the current time

11.  def Report(pow: Int): ActivityReport

    Submit new activity, increasing the lifespan of the current report's existence.

    Submit new activity, increasing the lifespan of the current report's existence.

    returns

      the current report

    See also

      `Renew`

12.  def Report(): ActivityReport

    Submit new activity, increasing the lifespan of the current report's existence.

    Submit new activity, increasing the lifespan of the current report's existence.

    returns

      the current report

    See also

      `Renew`

13.  def ReportOld(pow: Int): ActivityReport

    Submit new activity.

    Submit new activity. Do not increase the lifespan of the current report's existence.

    returns

      the current report

14.  def SetLastReport(time: Long): Long
15.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
16.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
17.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
19.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
20.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
27.  def toString(): String
    Definition Classes
      AnyRef → Any
28.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
30.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped